Redmine - Feature #8161

Ability to filter issues on project custom fields
2011-04-15 15:43 - Michael Parkin

Status: Closed Start date: 2011-04-15
Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Custom fields Estimated time: 0.00 hour
Target version: 2.1.0

Resolution: Fixed

Description

We have created a custom project field "company”. | would like to filter issues based on this project field, when we are on the "view
all issues" across projects. | was really surprised that this feature does not already exist, since you can can make the field
"Searchable".

Related issues:

Related to Redmine - Patch #12237: Added German Translation Closed
Has duplicate Redmine - Feature #9919: Filter issue by project custom field Closed
History

#1 - 2011-04-17 05:42 - Rick Bird

+1 this one.. We have a sub-project with custom fields given a version # for an incorporations into the main project.. This is making it quite difficult to
get on task with the issues when we have 280 issues in this sub-project that we're trying to go in order.

#2 - 2011-05-24 10:36 - Stéphane POTTIER

+1

#3 - 2011-08-09 00:34 - Nick Nguyen

+1, we use redmine to handle projects for multiple clients where different. Would like to pull a report that can show all tasked related to company X.
Currently can not do this.

#4 - 2012-01-04 14:11 - Caroline Boisson | Altic
+1 and is duplicated by #9919

#5 - 2012-02-07 13:26 - Dariusz Kowalski

We would have more then 1000 projects at Redmine.
It is important to have functionalities of filtering projects by:

custom fields
members of project
role of members
project dependencies
group of users

and save them:

e as privete

e as privete default

¢ as public

e as public default (settable by admin)

#6 - 2012-08-07 21:25 - Jean-Philippe Lang

- Subject changed from Add filters on cross-project issue list for projects custom fields to Ability to filter issues on project custom fields
- Category changed from Issues to Custom fields

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.1.0

- Resolution set to Fixed
https://www.redmine.org/issues/9919

Added in r10165 with the ability to filter on author/assignee/target version custom fields as well. Custom fields must be marked as "Used as filter".
https://www.redmine.org/projects/redmine/repository/svn/revisions/10165
http://www.tcpdf.org

